/**
 * @file
 * A JavaScript file for the Ultimenu.

 */
(function ($, Drupal, window, document) {
  "use strict";

  Drupal.behaviors.ultimenu = {
    attach: function (context) {
      // Allow highlighting of menu list after hover plus IE helper.
      // The rule for CSS3 animation: Never hide and show!
      $('.ultimenu > li').on({
        mouseenter: function() {
          $(this).addClass('hover');
        },
        mouseleave: function() {
          $(this).removeClass('hover');
        }
      });

      // This class targets all IE.
      // $.browser removed as per 1.9
      // @see http://jquery.com/upgrade-guide/1.9/
      // @see http://api.jquery.com/jQuery.support/
      //if (!$.support.opacity) {
        //$('html').addClass('ie');
      //}
      
      // @todo Drupal 8 ships with modernizr to detect touch, use .touch to limit.
      $('.ultimenu .ultimenu__link .caret, .ultimenu > li.has-ultimenu > a[href*="#"]').click(function () {
        $(this).parent().next().slideToggle();
        return false;
      });
      
      $('.button--navigation').click(function () {
        $($(this).data('target')).slideToggle();
        return false;
      });
    }
  };

})(jQuery, Drupal, this, this.document);
