<?php
/**
 * @file
 * Default theme implementation for Ultimenu block (the UL list or container).
 * If you need to customize the actual Flyout, use region.tpl.php instead, or
 * @see theme_ultimenu_region().
 *
 * Available variables:
 * - $content: The renderable array containing the menu.
 * - $attributes['class']: A string containing the classes for the SECTION tag:
 *   - ultimenu ORIENTATION ultimenu--MENU-NAME SKIN-NAME.
 *   - ultimenu horizontal ultimenu--htb ultimenu--main-menu ultimenu--htb-blue
 * - $attributes: An array may contain additional attributes.
 *
 * The following variables are provided for contextual information.
 * - $delta: (string) The ultimenu's block delta.
 * - $config: An array of the block's configuration settings. Includes
 *   - menu_name: main-menu
 *   - skin: sites/all/modules/custom/ultimenu/skins/ultimenu--htb-tabs-blue.css
 *   - skin_name:  ultimenu--htb-tabs-blue (based on safe CSS file name)
 *   - orientation: 
 *     - ultimenu--htb: horizontal to bottom
 *     - ultimenu--htt: horizontal to top
 *     - ultimenu--vtr: vertical to right
 *     - ultimenu--vtl: vertical to left
 *
 * @see template_preprocess_ultimenu()
 */
?>
<ul class="<?php print $attributes['class']; ?>"<?php print $attributes; ?>>
  <?php print render($content); ?>
</ul>
